Jobs Support Register

Game Patching for Unregistered Version of The Witcher

+

tommy5761

Ghost
#1
Game Patching for Unregistered Version of The Witcher

With the new forum not needing game registration anymore i thought to clarify a little about what is needed to be able to play The Witcher without registering the game .
How to setup the Enhanced Edition Patch for Original Game
Installing Additional Language Packs
Patching errors with the Enhanced Edition Patch and workaround
Patching Enhanced Edition to 1.5
Removing the Tages Drivers
MD5 Numbers for Language Packs and Patches

Patching Original Game to Enhanced Edition
All that`s needed to patch the original game to the Enhanced Edition is the 1.4 patch from THIS LINK and the appropriate language pack also available from the same link . Once setup properly you will be able to patch the original game to the equivalent of the Enhanced Edition . To set this patch up you will need to create a folder and you can do this by for example right clicking on an empty part of your desktop and move your mouse over new and select folder from the menu then type the folder name you want it to be , TWEE_Upgrade would be a good example . After that once you have the patch downloaded then copy and paste both the 1.4 patch and the language pack into this newly created folder . Then open the folder and run as administrator the 1.4 patch . Patching should then proceed normally .

Installing Additional Language Packs
Once the game has been patched to the Enhanced Edition you can then install additional language packs of your choosing simply by downloading the languages of your choosing and once downloaded then double click to start the installer . Additional languages include Polish , German , Italian , French , Czech , Spanish , Hungarian , and Russian and can downloaded from THIS LINK

Patching Errors with the Enhanced Edition Patch and Workaround
Sometimes while patching you may encounter a Critical Error when installing the Enhanced Edition patch and for most this error is usually solved by doing the following . First you will need to download and install the Universal Extractor . Once installed then go to where you have the 1.4 patch and right click and select UniExtract to Subdir . The UniExtractor may appear to be stuck or hung just be patient and it will eventually extract the 1.4 patch to the sub directory folder once that is done then open to expose the file list and then copy and paste the language pack into this list of files . Then run setup or setup exe as administrator

Patching Enhanced Edition to 1.5
After you have patched to the Enhanced Edition or if you bought the Enhanced Edition of the game the only thing that`s needed now is to download and apply the 1.5 patch which can be found at THIS LINK . Once downloaded just double click to start the installer .

Removing the Tages Drivers
It is recommended to uninstall the Tages drivers as they are no longer needed for this game . However if you have other games that use Tages as a copy protection system you may wish to simply update them . To uninstall the Tages drivers go to the TAGES Website and click the 5.5 towards the bottom of the page then select the one that is appropriate for your system and follow the prompt to uninstall the Tages drivers .

MD5 Numbers for Language Packs and Patches
To verify that you have full and working patches you may want to run a MD5 on the patches and language packs . A MD5 verifier can be found at THIS LINK . After downloading and unzipping then open the verifier and copy and paste the language pack or patch numbers you want to verify in the top line of the verifier then in the second line using the browse button to navigate to where you have the file to verify and after selecting it one of two things will happen . If the top line of numbers turn green then that file is good and you are free to verify another . But if the top line of numbers turn red then that file is damaged and will need to be downloaded again . Numbers are listed below .

TWEE_English_language_pack.exe 21e96ffd871db9797830313f5380271a
TWEE_Polish_language_pack.exe 4FBF98976639866FD2DA35EAC7AEBE5A
TWEE_German_language_pack.exe 13EB798770B4E4AE461190A816A4799E
TWEE_Spanish_language_pack.exe B1BF8EC36F6974D1183047C6B8F54C4E
TWEE_Italian_language_pack.exe 7CC49D43B94370D51AE9216896669DBF
TWEE_French_language_pack.exe E396873D7229CABCF59E8DBF8A7D2349
TWEE_Russian_language_pack.exe 5E1137C01E0C30D0119668A68F5BF3D2
TWEE_Hungarian_language_pack.exe 4CEA3BADABEBE4D4A3CA74491AEACAC2
1.5 patch 30EF893614F62DD712B3855F6D0FA663
Directors patch 7be31f471a7d929dbf1407bb8a1161d2
TWEE_Upgrade.exe (1.4 patch) 393b4783f2d6b906a6eaea3d927b4a92​
 

briancv55

Poser
#2
I have just bought both the original game and Witcher 2. I have installed TWEE and then downloaded patch 1.5. When I try to run the patch it opens and starts the installshield wizard and then it gets an error "Cannot Identify the installed version. I am running Windows 7 SP1 64 bit. I have tried downloading patch 1.4 but it didn't help. Any ideas? Or is this forum dead?
 

tommy5761

Ghost
#3
Briancv55 said:
I have just bought both the original game and Witcher 2. I have installed TWEE and then downloaded patch 1.5. When I try to run the patch it opens and starts the installshield wizard and then it gets an error "Cannot Identify the installed version. I am running Windows 7 SP1 64 bit. I have tried downloading patch 1.4 but it didn't help. Any ideas? Or is this forum dead?
Nope the forum ain`t dead yet . There are 2 ways to see what version of the game you have but the easiest is to go to your install directory and open the witcher/system folder . There you will find the witcher exe , just hover your mouse over and in the dialog box that appears there will be a version number . If it reads 1.5.0.1304 then you are good to go .

If it`s a Steam version then it has the latest patch already .